Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class ContainerHandle

    java.lang.Object
      com.bea.wli.worklist.api.ContainerHandle

All Implemented Interfaces:
  Serializable

    public class ContainerHandle

extends Object
implements Serializable

Represents information about a container that is either a client or creator of tasks.

Since:
  9.2
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ContainerHandle.Type`

Field Summary
`static String` | `SEPARATOR`

Constructor Summary
`ContainerHandle()`
`ContainerHandle(String spec)` Create an instance of ContainerHandle given the string representation output from the toString() method.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getHostApplicationId()` The application that hosts the container
`String` | `getInstanceId()` A unique identifier for an instance of the container, unique within the application, container type, and container sub-type.
`String` | `getSubType()` The sub-type of container (e.g.
`ContainerHandle.Type` | `getType()` The type of container (e.g.
`int` | `hashCode()`
`void` | `setHostApplicationId(String hostApplicationId)`
`void` | `setInstanceId(String instanceId)`
`void` | `setSubType(String subType)`
`void` | `setType(ContainerHandle.Type type)`
`String` | `toString()` Returns a string representation of this handle in the form: type||subType||instanceId||hostApplicationId

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### ContainerHandle

    public ContainerHandle()

### ContainerHandle

    public ContainerHandle(String spec)

  Create an instance of ContainerHandle given the string representation output from the toString() method.

  Parameters:
    `spec` - Serialized handle in the form given by toString().
  See Also:
    `toString()`

Method Detail

### getHostApplicationId

    public String getHostApplicationId()

  The application that hosts the container

  Returns:
    The name of the host application, or null if not known.

### setHostApplicationId

    public void setHostApplicationId(String hostApplicationId)

### getType

    public ContainerHandle.Type getType()

  The type of container (e.g. 'JPD')

### setType

    public void setType(ContainerHandle.Type type)

### getSubType

    public String getSubType()

  The sub-type of container (e.g. process type like 'MyBusinessProcess')

### setSubType

    public void setSubType(String subType)

### getInstanceId

    public String getInstanceId()

  A unique identifier for an instance of the container, unique within the application, container type, and container sub-type.

### setInstanceId

    public void setInstanceId(String instanceId)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Returns a string representation of this handle in the form: type||subType||instanceId||hostApplicationId

  Overrides:
    `toString` in class `Object`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD